## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.2.1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name what4
%global pkgver %{pkg_name}-%{version}
%{?haskell_setup}

# testsuite missing deps: tasty-checklist hedgehog tasty-expected-failure tasty-hedgehog lumberjack tasty-sugar

Name:           ghc-%{pkg_name}
Version:        1.5.1
Release:        %autorelease
Summary:        Solver-agnostic symbolic values support for issuing queries

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-BoundedChan-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-attoparsec-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-bifunctors-devel
BuildRequires:  ghc-bimap-devel
BuildRequires:  ghc-bv-sized-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-concurrent-extra-devel
BuildRequires:  ghc-config-value-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-deriving-compat-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-fingertree-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-hashtables-devel
BuildRequires:  ghc-io-streams-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-libBF-devel
BuildRequires:  ghc-megaparsec-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-ordered-containers-devel
BuildRequires:  ghc-panic-devel
BuildRequires:  ghc-parameterized-utils-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-prettyprinter-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-s-cargot-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-stm-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-lift-devel
BuildRequires:  ghc-th-lift-instances-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unliftio-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-versions-devel
BuildRequires:  ghc-zenc-devel
%if %{with ghc_prof}
BuildRequires:  ghc-BoundedChan-prof
BuildRequires:  ghc-async-prof
BuildRequires:  ghc-attoparsec-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bifunctors-prof
BuildRequires:  ghc-bimap-prof
BuildRequires:  ghc-bv-sized-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-concurrent-extra-prof
BuildRequires:  ghc-config-value-prof
BuildRequires:  ghc-containers-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-deriving-compat-prof
BuildRequires:  ghc-directory-prof
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-fingertree-prof
BuildRequires:  ghc-hashable-prof
BuildRequires:  ghc-hashtables-prof
BuildRequires:  ghc-io-streams-prof
BuildRequires:  ghc-lens-prof
BuildRequires:  ghc-libBF-prof
BuildRequires:  ghc-megaparsec-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-ordered-containers-prof
BuildRequires:  ghc-panic-prof
BuildRequires:  ghc-parameterized-utils-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-prettyprinter-prof
BuildRequires:  ghc-process-prof
BuildRequires:  ghc-s-cargot-prof
BuildRequires:  ghc-scientific-prof
BuildRequires:  ghc-stm-prof
BuildRequires:  ghc-template-haskell-prof
BuildRequires:  ghc-temporary-prof
BuildRequires:  ghc-text-prof
BuildRequires:  ghc-th-lift-prof
BuildRequires:  ghc-th-lift-instances-prof
BuildRequires:  ghc-time-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-unliftio-prof
BuildRequires:  ghc-unordered-containers-prof
BuildRequires:  ghc-utf8-string-prof
BuildRequires:  ghc-vector-prof
BuildRequires:  ghc-versions-prof
BuildRequires:  ghc-zenc-prof
%endif
# End cabal-rpm deps

%description
What4 is a generic library for representing values as symbolic formulae which
may contain references to symbolic values, representing unknown variables.
It provides support for communicating with a variety of SAT and SMT solvers,
including Z3, CVC4, CVC5, Yices, Boolector, STP, and dReal. The data
representation types make heavy use of GADT-style type indices to ensure
type-correct manipulation of symbolic values.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
%{_datadir}/%{pkgver}
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGES.md README.md
%{_bindir}/quickstart


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
## START: Generated by rpmautospec
* Tue Sep 24 2024 Frank Dedden <frank@systemf.dev> - 1.5.1-3
- Fix missing entry in `sources` and `.gitignore` files.

* Mon Aug 19 2024 Frank Dedden <frank@systemf.dev> - 1.5.1-1
- spec file generated by cabal-rpm-2.2.1

## END: Generated by rpmautospec
